ligo-gracedb (2.15.3-1) unstable; urgency=low
  * Add content_id (SHA-256 truncated UUID) to event uploads
  * Include content_id in HTTP POST, graceid reservation, and Kafka messages
  * Enable zstd compression on Kafka producer
  * Bump producer message.max.bytes to 10MB

 -- Alexander E. Pace <alexander.pace@ligo.org>  Tue, 25 Mar 2026 12:00:00 -0000

ligo-gracedb (2.15.2-1) unstable; urgency=low
  * Kafka topic determined automatically from group/pipeline in create_event
  * Producer topic argument is now optional when using create_event
  * Embed _producer_timestamp in Kafka messages for latency telemetry
  * Update documentation

 -- Alexander E. Pace <alexander.pace@ligo.org>  Sun, 23 Mar 2026 12:00:00 -0000

ligo-gracedb (2.15.1-1) unstable; urgency=low
  * Add instance-namespaced Kafka topics (instance.pipeline format)
  * Add derive_instance_name, make_topic_name, parse_topic_name utilities
  * Producer and consumer now require instance_name or service_url
  * create_kafka_producer passes service_url automatically
  * Update documentation

 -- Alexander E. Pace <alexander.pace@ligo.org>  Tue, 04 Mar 2026 12:00:00 -0000

ligo-gracedb (2.15.0-1) unstable; urgency=low
  * Add Kafka producer and consumer classes with SciToken integration
  * Update create_event with Kafka workflow
  * Add _reserve_graceid() and upload_reserved_event() methods
  * Update documentation

 -- Alexander E. Pace <alexander.pace@ligo.org>  Mon, 02 Mar 2026 12:00:00 -0000

ligo-gracedb (2.14.3-1) unstable; urgency=low
  * Deprecate oLIB pipeline
  * Drop obsolete build/install dependencies on python-future
  * Documentation fixes

 -- Alexander E. Pace <alexander.pace@ligo.org>  Fri, 26 Sep 2025 12:00:00 -0000

ligo-gracedb (2.14.1-1) unstable; urgency=low
  * Token adaptor bugfixes
  * Logging improvements

 -- Alexander E. Pace <alexander.pace@ligo.org>  Thu, 06 Mar 2025 19:32:06 -0500

ligo-gracedb (2.14.0-1) unstable; urgency=low
  * add scitoken reloading

 -- Alexander E. Pace <alexander.pace@ligo.org>  Tue, 04 Mar 2025 09:15:14 -0500

ligo-gracedb (2.13.2-1) unstable; urgency=low
  * Fix packaging

 -- Alexander E. Pace <alexander.pace@ligo.org>  Mon, 03 Mar 2025 11:05:23 -0500

ligo-gracedb (2.13.1-1) unstable; urgency=low
  * Fix packaging

 -- Alexander E. Pace <alexander.pace@ligo.org>  Fri, 28 Feb 2025 12:28:59 -0500

ligo-gracedb (2.13.0-1) unstable; urgency=low
  * add gwtc-specific API commands into base client
  * catch decoding error in command-line client
  * packaging and pipeline updates
  * docs build updates

 -- Alexander E. Pace <alexander.pace@ligo.org>  Fri, 04 Oct 2024 16:16:05 -0400

ligo-gracedb (2.12.0-1) unstable; urgency=low
  * add retry on POST and PATCH operations
  * Remove all use of six
  * Remove use of mock package
  * Update to igwn-auth-utils 1.0.0
  * Packaging and testing updates

 -- Alexander E. Pace <alexander.pace@ligo.org>  Wed, 06 Sep 2023 21:24:48 -0700

ligo-gracedb (2.11.0-1) unstable; urgency=low
  * add support retrying on errors
  * Update default scitoken scope

 -- Alexander E. Pace <alexander.pace@ligo.org>  Tue, 18 Apr 2023 09:47:15 -0700

ligo-gracedb (2.10.0-1) unstable; urgency=low
  * add labels at log/upload time
  * testing fixes
  * documentation fixes

 -- Alexander E. Pace <alexander.pace@ligo.org>  Mon, 12 Dec 2022 06:34:29 -0800

ligo-gracedb (2.9.0-1) unstable; urgency=low
  * support HasMassGap instead of MassGap for VOEvents
  * gw_id support for naming confirmed GWs

 -- Alexander E. Pace <alexander.pace@ligo.org>  Fri, 11 Nov 2022 09:58:54 -0800

ligo-gracedb (2.8.0-1) unstable; urgency=low
  * use igwn-auth-utils for credential finding

 -- Alexander E. Pace <alexander.pace@ligo.org>  Wed, 11 May 2022 10:11:30 -0700

ligo-gracedb (2.7.8-1) unstable; urgency=low
  * pipeline-specific preferred event features
  * camelCase to snake_case transition 
  * documentation changes

 -- Alexander E. Pace <alexander.pace@ligo.org>  Thu, 04 Aug 2022 20:32:56 -0400

ligo-gracedb (2.7.7-1) unstable; urgency=low
  * Drop python2 support
  * Dependency and testing fixes
  * Removed legacy CLI 
  * Fixed client.stop() recursion error
  * Documentation cleanup

 -- Alexander E. Pace <alexander.pace@ligo.org>  Mon, 28 Mar 2022 14:57:40 -0700

ligo-gracedb (2.7.6-1) unstable; urgency=low
  * fix for return vs. break for generator return calls.

 -- Alexander E. Pace <alexander.pace@ligo.org>  Fri, 19 Feb 2021 21:46:56 +0000

ligo-gracedb (2.7.5-1) unstable; urgency=low
  * changed search order for x509 credentials

 -- Alexander E. Pace <alexander.pace@ligo.org>  Fri, 08 Jan 2021 19:31:35 +0000

ligo-gracedb (2.7.4-1) unstable; urgency=low
  * fix for requests/urllib3 bug
  * fix for json response for update event CLI command
  * packaging changes

 -- Alexander E. Pace <alexander.pace@ligo.org>  Mon, 14 Dec 2020 20:53:47 +0000

ligo-gracedb (2.7.3-1) unstable; urgency=low
  * json() method for file retrieval. 

 -- Alexander E. Pace <alexander.pace@ligo.org>  Mon, 23 Nov 2020 20:54:49 +0000

ligo-gracedb (2.7.2-1) unstable; urgency=low
  * Bugfix for certificate check failure with tuple'd credentials

 -- Alexander E. Pace <alexander.pace@ligo.org>  Mon, 16 Nov 2020 21:03:38 +0000

ligo-gracedb (2.7.1-1) unstable; urgency=low
  * Improved exception handling for HTTPErrors
  * Fix and deprecation warning for gracedb_legacy CLI tool

 -- Alexander E. Pace <alexander.pace@ligo.org>  Mon, 19 Oct 2020 15:00:00 +0000

ligo-gracedb (2.7.0-1) unstable; urgency=low
  * Backend rewrite using "requests" package

 -- Alexander E. Pace <alexander.pace@ligo.org>  Thu, 06 Aug 2020 11:03:15 -0700

ligo-gracedb (2.6.1-1) unstable; urgency=low
  * SSL_PROTOCOL fix for python < 2.7.13

 -- Alexander E. Pace <alexander.pace@ligo.org>  Fri, 05 Jun 2020 13:03:59 -0400

ligo-gracedb (2.6.0-1) unstable; urgency=low
  * Added time/space_coinc_far fields to support RAVEN
  * Testing and packaging changes.

 -- Alexander E. Pace <alexander.pace@ligo.org>  Thu, 04 Jun 2020 19:59:39 +0000

ligo-gracedb (2.5.0-1) unstable; urgency=low

  * Add RAVEN fields to updateSuperevent
  * Add RAVEN VOEvent support to createVOEvent
  * Remove decade-old (?) patch to support Python 2.6 

 -- Alexander E. Pace <alexander.pace@ligo.org>  Mon, 25 Nov 2019 15:21:53 -0500

ligo-gracedb (2.4.0-1) unstable; urgency=low

  * Add client method and CLI method for updating a GRB event

 -- Tanner Prestegard <tanner.prestegard@ligo.org>  Wed, 21 Aug 2019 13:37:46 -0500

ligo-gracedb (2.3.0-1) unstable; urgency=low

  * Add feature for reloading an expired X.509 certificate
  * Add utility function for checking user account on the server
  * Add comprehensive documentation
  * Add/apply linting
  * Bugfix handling of different response types in command-line interface
  * Bugfix assumption that $HOME exists
  * Bugfix fail_if_noauth usage in client class
  * Bugfix uses of sys.hexversion

 -- Tanner Prestegard <tanner.prestegard@ligo.org>  Wed, 17 Jul 2019 10:22:46 -0500

ligo-gracedb (2.2.2-1) unstable; urgency=low

  * Bugfix Python 3 compatibility with dict keys and values
  * Bugfix handling of bytes responses in command-line interface
  * Improve command-line interface help

 -- Tanner Prestegard <tanner.prestegard@ligo.org>  Thu, 07 Mar 2019 21:56:01 -0600

ligo-gracedb (2.2.1-1) unstable; urgency=low

  * Bugfix default service URL for command-line interface
  * Bugfix packaging

 -- Tanner Prestegard <tanner.prestegard@ligo.org>  Fri, 01 Mar 2019 16:22:45 -0600

ligo-gracedb (2.2.0-1) unstable; urgency=low

  * Add options for legacy kwargs in writeLog()
  * Add optional 'MassGap' parameter to VOEvent creation
  * Full rework of command-line tool

 -- Tanner Prestegard <tanner.prestegard@ligo.org>  Fri, 22 Feb 2019 09:32:04 -0600

ligo-gracedb (2.1.2-1) unstable; urgency=low

  * Improve testing configuration by adding pytest and tox
  * Remove skymap_image requirement for VOEvent creation
  * Add option for 'max_results' in event and superevent queries

 -- Tanner Prestegard <tanner.prestegard@ligo.org>  Tue, 05 Feb 2019 09:42:13 -0600

ligo-gracedb (2.1.1-1) unstable; urgency=low

  * Add new optional parameters and remove one optional parameter for VOEvent creation
  * Minor bugfixes/changes to integration tests

 -- Tanner Prestegard <tanner.prestegard@ligo.org>  Wed, 05 Dec 2018 14:30:17 -0600

ligo-gracedb (2.1.0-1) unstable; urgency=low

  * Improved error handling for failed attempts to get service information from API
  * Consolidate all auth types under a single client class
  * Add unit tests for handling of credentials

 -- Tanner Prestegard <tanner.prestegard@ligo.org>  Thu, 29 Nov 2018 10:29:36 -0600

ligo-gracedb (2.0.1-1) unstable; urgency=low

  * Bugfix for truthiness checks for numeric arguments
  * Remove permissions detail retrieval (no longer available on server)

 -- Tanner Prestegard <tanner.prestegard@ligo.org>  Tue, 02 Oct 2018 21:41:01 -0500

ligo-gracedb (2.0.0-1) unstable; urgency=low

  * Package now has comprehensive Python 3.4+ compatibility
  * Added functionality for managing superevent signoffs and permissions
  * Removed temporary deprecation measure for including VOEvent file text in response
  * Added an option for specifying a server API version
  * Updated unit tests

 -- Tanner Prestegard <tanner.prestegard@ligo.org>  Wed, 19 Sep 2018 15:30:32 -0500

ligo-gracedb (2.0.0~1-1) unstable; urgency=low

  * Added CI configuration
  * Updated how package version is handled
  * Removed bin/gracedb executable, now built by setup.py as an entry_point
  * Added client version to request headers
  * Bugfix for "faking" VOEvent file text in response
  * Added "fake" VOEvent file text in response of createVOEvent
  * Added superevent categories

 -- Tanner Prestegard <tanner.prestegard@ligo.org>  Wed, 25 Jul 2018 11:38:40 -0500

ligo-gracedb (2.0.0~0-1) unstable; urgency=low

  * Identical to 1.29~1-1 other than packaging changes, but decided that we should bump the major version number

 -- Tanner Prestegard <tanner.prestegard@ligo.org>  Wed, 27 Jun 2018 14:22:52 -0500

ligo-gracedb (1.29~1-1) unstable; urgency=low

  * More features for creating and managing superevents

 -- Tanner Prestegard <tanner.prestegard@ligo.org>  Thu, 21 Jun 2018 11:09:05 -0500

ligo-gracedb (1.29~0-1) unstable; urgency=low

  * New features for creating and managing superevents

 -- Tanner Prestegard <tanner.prestegard@ligo.org>  Mon, 31 May 2018 10:30:00 -0500

ligo-gracedb (1.28-1) unstable; urgency=low

  * Various fixes for Python 3

 -- Tanner Prestegard <tanner.prestegard@ligo.org>  Tue, 24 Apr 2018 10:44:43 -0500

ligo-gracedb (1.27-1) unstable; urgency=low

  * Changed DEFAULT_SERVICE_URL used by command-line client to match other instances
  * Updated organization of full unit test suite

 -- Tanner Prestegard <tanner.prestegard@ligo.org>  Tue, 13 Feb 2018 09:15:46 -0600

ligo-gracedb (1.26-1) unstable; urgency=low

  * Significant restructuring of unit tests
  * Added several unit tests
  * Updated createEvent method to properly handle multiple labels and to work with upcoming server code changes
  * Fixed whitespace issues

 -- Tanner Prestegard <tanner.prestegard@ligo.org>  Fri, 01 Dec 2017 13:09:54 -0600

ligo-gracedb (1.25-1) unstable; urgency=low

  * Fixed packages provide, requirements, and build dependencies
  * Added ability to create events with labels to the command-line client
  * Added ability to set offline parameter with the command-line client
  * Updated unit tests

 -- Tanner Prestegard <tanner.prestegard@ligo.org>  Wed, 02 Aug 2017 13:18:43 -0500

ligo-gracedb (1.24-1) unstable; urgency=low

  * Added a check on .netrc file permissions
  * Added capability to create events with labels attached
  * Added offline boolean parameter when creating events

 -- Tanner Prestegard <tanner.prestegard@ligo.org>  Thu, 25 May 2017 11:42:24 -0500

ligo-gracedb (1.23-1) unstable; urgency=low

  * Improved exception handling and display of tracebacks in REST client
  * Catch and handle exceptions in logging handler
  * Update of dependencies

 -- Tanner Prestegard <tanner.prestegard@ligo.org>  Fri, 03 Feb 2017 09:59:08 -0600

ligo-gracedb (1.22-1) unstable; urgency=low

  * Fixed bug related to decoding logs.
  * Improved log handler cleanup.
  * Removed calls to sys.exit from ligo.gracedb.rest module. 

 -- Tanner Prestegard <tanner.prestegard@ligo.org>  Tue, 10 Jan 2017 16:19:31 -0600

ligo-gracedb (1.21-1) unstable; urgency=low

  * Modernize Debian packaging and port to Python 2/3
  * Make logging handler non-blocking

 -- Tanner Prestegard <tanner.prestegard@ligo.org>  Tue, 13 Dec 2016 11:42:52 -0600

ligo-gracedb (1.20-1) unstable; urgency=low
  * Improved error handling for expired or missing credentials
  * Improved error handling when server returns non-JSON response
  * Added --use-basic-auth option to command-line client 
 -- Branson Stephens <branson.stephens@ligo.org>  Thu, 11 Feb 2016 15:00:00 -0600

ligo-gracedb (1.19.1-1) unstable; urgency=low
  * Force TLSv1 for Python versions less than 2.7.9
  * Changed adjustResponse to put retry-after in the JSON response for 429s
  * Changed test-service to gracedb-test.ligo.org
  * Introduced wait time to test suite
 -- Branson Stephens <branson.stephens@ligo.org>  Wed, 21 Oct 2015 11:00:00 -0500

ligo-gracedb (1.19-1) unstable; urgency=low
  * bug fixes (comma separated strings for EMObservations, cli createLog call) 
  * capture of additional kwargs to facilitate HardwareInjection event upload
  * packaging improvements (ligo as namespace package)
 -- Branson Stephens <branson.stephens@ligo.org>  Wed, 29 Jul 2015 14:00:00 -0500

ligo-gracedb (1.18-1) unstable; urgency=low
  * Added comment to EM Observation record
  * Allow python lists as arguments to writeEMObservation
  * Changed ligo to namespace package
 -- Branson Stephens <branson.stephens@ligo.org>  Wed, 13 May 2015 14:00:00 -0500

ligo-gracedb (1.18.dev0-1) unstable; urgency=low
  * New features for robotic basic auth
  * New features for EM observation records
 -- Branson Stephens <branson.stephens@ligo.org>  Mon, 20 Apr 2015 16:30:00 -0500

ligo-gracedb (1.17-1) unstable; urgency=low
  * Bugfix for python version incompatibility in 1.16
  * New methods/tests for creating and retrieving VOEvents
  * Bugfix for gittag test
 -- Branson Stephens <branson.stephens@ligo.org>  Wed, 25 Mar 2015 09:30:00 -0500

ligo-gracedb (1.16-1) unstable; urgency=low
  * Fixes for glue 1.47 to the command line client
  * Use SSLContext and explicitly turn off client-side server verification
  * Fix for command that lists groups, pipelines, and searches 
  * Allow multiple tags to be added to an event log at creation time
  * Updates to unit test data
 -- Branson Stephens <branson.stephens@ligo.org>  Wed, 11 Feb 2015 12:00:00 -0600

ligo-gracedb (1.15-1) unstable; urgency=low
  * Features for EMBB Event Log upload and retrieval
  * Changes for (Group,Type) -> (Group,Pipeline,Search) transition
  * Added docstrings
 -- Branson Stephens <branson.stephens@ligo.org>  Fri, 31 Oct 2014 11:00:00 -0500

ligo-gracedb (1.14-1) unstable; urgency=low
  * Fixed 10 and 1000 event limits. Issues 986 and 787.
 -- Branson Stephens <branson.stephens@ligo.org>  Wed, 18 Dec 2013 11:18:00 -0500

ligo-gracedb (1.13-1) unstable; urgency=low
  * Fixed renegotiation regression.  Issue 951
 -- Brian Moe <brian.moe@ligo.org>  Fri, 28 Jun 2013 13:15:26 -0500

ligo-gracedb (1.12-1) unstable; urgency=low
  * Changed client to use REST API exclusively.
  * Extended REST API to include all API functionality.
 -- Branson Stephens <branson.stephens@ligo.org>  Thu, 27 Jun 2013 14:12:19 -0500

ligo-gracedb (1.11-2) unstable; urgency=low

  * Re-add "--with python2" to match other ligo-* python modules

 -- Steffen Grunewald <steffen.grunewald@ligo.org>  Thu, 24 Jan 2013 14:15:00 +0100

ligo-gracedb (1.11-1) unstable; urgency=low
  * Fixed bug where stdin is specified, it is not actually read.
  * Added python-ligo-common to dependencies
 -- Brian Moe <brian.moe@ligo.org>  Tue, 22 Jan 2013 17:13:51 -0500

ligo-gracedb (1.10-1) unstable; urgency=low
  * CLI replace feature had subtle openssl bug.  Using REST client.
  * Typo in help text.
  * Typo in test.py wrt CWB test data.
  * Removed --with-python2 from debian/rules.
 -- Brian Moe <brian.moe@ligo.org>  Fri, 18 Jan 2013 09:35:25 -0500

ligo-gracedb (1.9-1) unstable; urgency=low

  * Added slot feature to command line interface
  * Added unit tests for cli slot feature
  * Added rudimentary test code documentation

 -- Brian Moe <brian.moe@ligo.org>  Wed, 16 Jan 2013 11:46:05 -0500

ligo-gracedb (1.8-1) unstable; urgency=low

  * Incorporated Leo's patch for fixing import problem

 -- Brian Moe <brian.moe@ligo.org>  Fri, 04 Jan 2013 15:01:58 -0500

ligo-gracedb (1.7-1) unstable; urgency=low

  * Workaround for Python bug http://bugs.python.org/issue11898
  * Added Leo Singer's convenience classes for logging

 -- Brian Moe <brian.moe@ligo.org>  Wed, 21 Dec 2012 16:39:17 -0500

ligo-gracedb (1.6-1) unstable; urgency=low

  * Fixed some typos
  * Added more unit tests for GraceDb class
  * Added test script for command line client
  * Improved unit tests' usability

 -- Brian Moe <brian.moe@ligo.org>  Wed, 19 Dec 2012 13:11:52 -0500

ligo-gracedb (1.5-2) unstable; urgency=low

  * Source 3.0 format

 -- Steffen Grunewald <steffen.grunewald@aei.mpg.de>  Fri, 14 Dec 2012 18:05:00 +0100

ligo-gracedb (1.5-1) unstable; urgency=low

  * Added support for REST API
  * Added unit tests and test data

 -- Brian Moe <brian.moe@ligo.org>  Wed, 12 Dec 2012 17:17:25 -0500

ligo-gracedb (1.4-1) unstable; urgency=low

  * Fixed SSL renegotiation bug on large file upload.

 -- Brian Moe <brian.moe@ligo.org>  Thu, 19 Jul 2012 11:17:56 -0500

ligo-gracedb (1.3-1) unstable; urgency=low

  * Replaced simplejson with cjson.
  * simplejson not available everywhere in the LSC.

 -- Brian Moe <brian.moe@ligo.org>  Thu, 14 Jun 2012 11:40:06 -0600

ligo-gracedb (1.2-1) unstable; urgency=low

  * Added file download command.

 -- Brian Moe <brian.moe@ligo.org>  Mon, 11 Jun 2012 16:04:26 -0600

ligo-gracedb (1.1-1) unstable; urgency=low

  * Bug Fix.

 -- Brian Moe <brian.moe@ligo.org>  Sun, 22 Jan 2012 09:50:26 -0600

ligo-gracedb (1.0-3) unstable; urgency=low

  * Made lib from gracedb script.

 -- Brian Moe <bmoe@oz.phys.uwm.edu>  Tue, 13 Dec 2011 10:10:24 -0600

ligo-gracedb (1.0-2) lucid; urgency=low

  * Updated service URL.  Point to gracedb.ligo.org and not archie.phys.uwm.edu.

 -- Brian Moe <bmoe@oz.phys.uwm.edu>  Thu, 17 Nov 2011 14:29:20 -0600

ligo-gracedb (1.0-1) unstable; urgency=low

  * Initial release

 -- Brian Moe <brian.moe@ligo.org>  Tue, 01 Nov 2011 15:59:47 -0500
